summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2016-08-05 16:57:39 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-05 18:10:41 +0100
commit2d65729d9019b4b29e5146d64b94e911505a64f5 (patch)
tree9c6645da7ca598f211c939e8158779514cb8e446
parentbb8e6a41f710072353d6515821880ffe103dd9c8 (diff)
downloadslackbuilds-2d65729d9019b4b29e5146d64b94e911505a64f5.tar.gz
slackbuilds-2d65729d9019b4b29e5146d64b94e911505a64f5.tar.xz
development/envytools: Added (development tools for nouveau).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--development/envytools/README34
-rw-r--r--development/envytools/envytools.SlackBuild111
-rw-r--r--development/envytools/envytools.info10
-rw-r--r--development/envytools/slack-desc19
4 files changed, 174 insertions, 0 deletions
diff --git a/development/envytools/README b/development/envytools/README
new file mode 100644
index 0000000000..2e6697f974
--- /dev/null
+++ b/development/envytools/README
@@ -0,0 +1,34 @@
+Tools for people envious of nvidia's blob driver.
+
+Contents:
+
+* docs: plain-text documentation of the GPUs, nVidia binary driver, and
+ the tools (in-sync HTML version at http://envytools.rtfd.org)
+* envydis: Disassembler and assembler for various ISAs found on nvidia GPUs
+* rnn: Tools and libraries for rules-ng-ng XML register database format
+* rnndb: rnn database of nvidia MMIO registers, FIFO methods, and memory
+ structures
+* nvbios: Tools to decode card description structures found in nvidia VBIOS
+* vstream: Tools to decode and encode raw video bitstreams
+* easm: Utility code dealing with assembly language parsing & printing
+* util: Misc utility code shared between envytools modules
+* nva: Tools to directly access the GPU registers
+* hwtest: undocumented tool
+* vdpow: A tool aiding in VP3 reverse engineering
+* nvapy: undocumented tool
+ (requires optional dependency python3)
+* cupti_trace:
+ tool for REing performance counters
+ (requires optional dependency cudatoolkit)
+* demmt: undocumented tool
+ (sandboxing requires optional dependency libseccomp)
+
+The nva, hwtest and vdpow tools are built by default, but can be disabled,
+for example
+
+ NVA="no" HWTEST="no" VDPOW="no" ./envytools.SlackBuild
+
+Note that if the nva tool is disabled, the hwtest and vdpow tools will
+also be disabled.
+
+Optional dependencies (see above): cudatoolkit, libseccomp, and python3
diff --git a/development/envytools/envytools.SlackBuild b/development/envytools/envytools.SlackBuild
new file mode 100644
index 0000000000..f986cdabde
--- /dev/null
+++ b/development/envytools/envytools.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for envytools
+
+# Copyright 2016 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=envytools
+VERSION=${VERSION:-2016.08.04_3214d7d}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+NVA="${NVA:-yes}"
+HWTEST="${HWTEST:-yes}"
+VDPOW="${VDPOW:-yes}"
+
+BUILDOPTS=""
+if [ "$NVA" = "no" ]; then
+ BUILDOPTS="-DDISABLE_NVA=ON"
+fi
+if [ "$HWTEST" = "no" ] || [ "$NVA" = "no" ]; then
+ BUILDOPTS="$BUILDOPTS -DDISABLE_HWTEST=ON"
+fi
+if [ "$VDPOW" = "no" ] || [ "$NVA" = "no" ]; then
+ BUILDOPTS="$BUILDOPTS -DDISABLE_VDPOW=ON"
+fi
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DDOC_PATH=/usr/doc/$PRGNAM-$VERSION \
+ $BUILDOPTS \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README.rst $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/envytools/envytools.info b/development/envytools/envytools.info
new file mode 100644
index 0000000000..c8a2f3e503
--- /dev/null
+++ b/development/envytools/envytools.info
@@ -0,0 +1,10 @@
+PRGNAM="envytools"
+VERSION="2016.08.04_3214d7d"
+HOMEPAGE="https://github.com/envytools/envytools/"
+DOWNLOAD="http://ks392457.kimsufi.com/orbea/stuff/slackbuilds/src/envytools-2016.08.04_3214d7d.tar.xz"
+MD5SUM="44b74da9fdcc343abf346568e92b0e33"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/development/envytools/slack-desc b/development/envytools/slack-desc
new file mode 100644
index 0000000000..f41112de54
--- /dev/null
+++ b/development/envytools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+envytools: envytools (development tools for nouveau)
+envytools:
+envytools: Development tools for nouveau ("tools for people envious of nvidia's
+envytools: blob driver").
+envytools:
+envytools: Homepage: https://github.com/envytools/envytools/
+envytools:
+envytools:
+envytools:
+envytools:
+envytools: